Skip to main content
POST
/
api2
/
v1
/
machineTranslations
/
{mtSettingsUid}
/
translate
Translate with MT
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/machineTranslations/{mtSettingsUid}/translate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "<string>",
  "sourceTexts": [
    "<string>"
  ],
  "to": "<string>",
  "filename": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/machineTranslations/{mtSettingsUid}/translate"

payload = {
"from": "<string>",
"sourceTexts": ["<string>"],
"to": "<string>",
"filename": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
sourceTexts: ['<string>'],
to: '<string>',
filename: '<string>'
})
};

fetch('https://cloud.memsource.com/web/api2/v1/machineTranslations/{mtSettingsUid}/translate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "translations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

mtSettingsUid
string
required

UID of the MT settings identifying the MT engine to use.

Body

application/json

Translation request body.

Request body for an MT translation request, specifying source and target languages and the texts to translate.

from
string
required

Source language code (for example, en or en-US). Must be a valid language code.

sourceTexts
string[]
required

Source strings to translate, returned in the same order as the translations. Must contain at least one item.

Required array length: 1 - 2147483647 elements
to
string
required

Target language code (for example, de or de-DE). Must be a valid language code.

filename
string

Filename associated with the source content. Some MT engines use this for context or domain selection.

Response

OK

Response from an MT translation request, containing the translated strings.

translations
string[]

Translated strings in the same order as the input sourceTexts.